      !***********************************************************************!
      SUBROUTINE  fctft(  tps,  dgt,  gt  )
      !***********************************************************************!
!
      USE numerics
!
      IMPLICIT  NONE
!
!--Declaration  des  arguments
!
!Instant  de  l'evaluation
      REAL(rp),  INTENT(IN)   ::  tps
!
!Derivee  composante  temporelle
      REAL(rp),  INTENT(OUT)  ::  dgt
!
!Composante  temporelle
      REAL(rp),  INTENT(OUT)  ::  gt
!
!--Declaration  des  variables  locales
!
      REAL(rp)  ::  pi2
!
      !***********************************************************************!
!
      pi2  =  ACOS( -1.0_rp ) * 2.0_rp
!
!Composante temporelle
      gt   =  SQRT( 2.0_rp ) * COS( 10.0_rp * SQRT(3.0_rp) * pi2 * tps ) + 0.075_rp
!
! Derivee  composante  temporelle
      dgt  =  - 10.0_rp * pi2 * SQRT(3.0_rp) * SQRT( 2.0_rp ) * SIN( 10.0_rp * SQRT(3.0_rp) * pi2 * tps )
!
      RETURN
      END  SUBROUTINE  fctft
